<div class="container d-flex min-vw-100 min-vh-100 justify-content-center align-items-center">
    <form [formGroup]="formulaire">
          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Nom</label>
            <input type="text" class="form-control" placeholder="Nom" formControlName="nom">
          </div>
          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Prénom</label>
            <input type="text" class="form-control" placeholder="Prénom" formControlName="prenom">
          </div>
          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Courriel</label>
            <input type="email" class="form-control" placeholder="name@example.com" formControlName="email">
          </div>
          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Mot de passe</label>
            <input type="password" class="form-control" placeholder="********" formControlName="password">
          </div>
          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Rue</label>
            <input type="text" class="form-control" placeholder="rue" formControlName="rue">
          </div>          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Ville</label>
            <input type="text" class="form-control" placeholder="ville" formControlName="ville">
          </div>          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Code Postal</label>
            <input type="text" class="form-control" placeholder="75000" formControlName="codePostal">
          </div>
          <div class="mb-3">
            <label for="exampleDataList" class="form-label">Rôle</label>
            <input class="form-control" list="datalistOptions" placeholder="Choisissez votre rôle" formControlName="role">
            <datalist id="datalistOptions">
            <option value="AGENT">
            <option value="PROPRIETAIRE">
            <option value="PROSPECT">
            <option value="VENDEUR">
            </datalist>
          </div>
          <div class="mb-3 text-end">
            <button [disabled]="!formulaire.valid" (click)="createUser()" class="btn btn-primary">Valider</button>

          </div>
      </form>
</div>
